path: /build/build/zfs-kmod-kernel-6.1-2.3.0.package.tar.zst
dependencies: []
compilespec:
  steps:
  - luet i -y sys-apps/kmod virtual/modutils pkgconf virtual/libelf virtual/linux-sources
    && luet cleanup
  - emerge -j ${JOBS} sys-fs/zfs-kmod -pv -t
  - |
    emerge -j ${JOBS} sys-fs/zfs-kmod
  - |
    eval 'rm -rf /zfs-kmod || true' && mkdir /zfs-kmod && \
    luet-portage --dir /zfs-kmod sys-fs/zfs-kmod
  - for i in $(find /zfs-kmod/lib/modules/6.1.141-macaroni/extra/ -name '*.ko') ;
    do zstd ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree:af173e9713815cc312c9b24f1d327f7561530fb0c10504316ce8b4eb729ccedd
  package:
    name: zfs-kmod
    version: 2.3.0
    category: kernel-6.1
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.1
    annotations:
      kernel_module: true
    buildtimestamp: 2025-06-16 08:55:16.842179566 +0000 UTC m=+309.610285728
    labels:
      emerge.packages: sys-fs/zfs-kmod
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.1.141
    treedir: /build/packages
  package_dir: /zfs-kmod
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/.*
  - ^/usr/src/.*
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/anise-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: a5eb7719dc45984a4857c6df41a0b48e9e4e99ab558063a52d8a94b7531a81e7
compressiontype: zstd
files:
- lib/modules/6.1.141-macaroni/extra/spl.ko.zst
- lib/modules/6.1.141-macaroni/extra/zfs.ko.zst
package_cacheimage: ""
runtime:
  name: zfs-kmod
  version: 2.3.0
  category: kernel-6.1
  requires:
  - name: zfs-common
    version: '>=0'
    category: kernel
  annotations:
    kernel_module: true
  labels:
    emerge.packages: sys-fs/zfs-kmod
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.1.141
